Bug 835650 - [abrt] upower-0.9.16-1.fc17: __GI_raise: Process /usr/bin/upower was killed by signal 6 (SIGABRT)
[abrt] upower-0.9.16-1.fc17: __GI_raise: Process /usr/bin/upower was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:aadcfff1f74f9fe4b6049e46920...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 13:35 EDT by William Bader
Modified: 2013-07-31 20:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Bader 2012-06-26 13:35:21 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /bin/upower -i /org/freedesktop/UPower/devices/line_power_ADP1/line-power
comment:        I ran upower with an invalid command line while I was trying to write a script to detect if the system was on ac or battery.
crash_function: __GI_raise
executable:     /usr/bin/upower
kernel:         3.4.3-1.fc17.x86_64
pid:            3161
pwd:            /u/william
time:           Tue 26 Jun 2012 06:21:17 PM CEST
uid:            214
username:       william

backtrace:      Text file, 11391 bytes
environ:        Text file, 8093 bytes
maps:           Text file, 5457 bytes
var_log_messages: Text file, 7297 bytes

build_ids:
:d804f8ee47797da9213a92f00cd095ecada8d79f
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:31243d0d107bba586a96433c76c87a26db1e826c
:684aaae07e1dd58fde977df6d952bd0a3d142a3b
:73777e822e00ca152ffca281ab0ace0cb498ec48
:371d007889676aac3b2fad9c8b8fd66c06ecb625
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:f64b7319b84d426ed547084bdb2577f4f596c18f
:7c35310fc506498c612d5d982ab03becc4b4817c
:99c23b21038c62b0628b93610fb54c5900c40ffd
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/william/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x2f9c5 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x26c81 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x186bb dbus_message_new_method_call libdbus-1.so.3 -
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d 0x10065 - libdbus-glib-1.so.2 -
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d 0x10131 - libdbus-glib-1.so.2 -
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d 0x130c8 dbus_g_proxy_call libdbus-glib-1.so.2 -
:684aaae07e1dd58fde977df6d952bd0a3d142a3b 0x96a3 - libupower-glib.so.1 -
:684aaae07e1dd58fde977df6d952bd0a3d142a3b 0xaf1b up_device_set_object_path_sync libupower-glib.so.1 -
:371d007889676aac3b2fad9c8b8fd66c06ecb625 0x148b - [exe] -

dso_list:
:/usr/lib64/libgthread-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1340507117
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1340509273
:/usr/lib64/libglib-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1340507117
:/usr/lib64/libgobject-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1340507117
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340509266
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340509266
:/usr/lib64/libupower-glib.so.1.0.2 upower-0.9.16-1.fc17.x86_64 (Fedora Project) 1340509823
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340509266
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1340509277
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340509266
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-3.fc17.x86_64 (Fedora Project) 1340509281
:/usr/bin/upower upower-0.9.16-1.fc17.x86_64 (Fedora Project) 1340509823
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340509266

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 46886                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       46886                46886                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:pos:	0
:flags:	0102002
:1:/dev/pts/1
:pos:	0
:flags:	0102002
:2:/dev/pts/1
:pos:	0
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[58694]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: e30d6fb3-6370-4eea-8a0b-c500ec208588
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4988.67
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 5881
:System Swap: 8191
:Vendor: Sony Corporation
:System: VPCCB4Q1E C60A58AK
:Form factor: Notebook
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:57906:4173:36993) pci, None, BASE, N/A
:(32902:7241:4173:36993) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4147:404:4173:36993) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:4173:36992) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4098:26433:4173:36992) pci, radeon, VIDEO, NI Whistler [AMD Radeon HD 6600M Series]
:(32902:7200:4173:36993) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4173:36993) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:50:4187:57412) pci, ath9k, NETWORK, AR9485 Wireless Network Adapter
:(6505:4227:4173:36993) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(4480:59427:4173:36993) pci, sdhci-pci, BASE, N/A
:(32902:7171:4173:36993) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4173:36993) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4173:36993) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4173:36993) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4173:36993) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4173:36993) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 75823310 39256595 35460883 18980864 16672651 16672651
:/dev/sda1 /boot ext4 4096 4096 130459 109825 103272 32768 32424 32424
:
Comment 1 William Bader 2012-06-26 13:37:33 EDT
I ran upower with an invalid command line while I was trying to write a script to detect if the system was on ac or battery.

backtrace_rating: 4
Package: upower-0.9.16-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Fedora End Of Life 2013-07-03 18:41:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:44:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.